<?php

namespace Nwb\MultiDownloaderClient;

class FileRequest
{
    private string $url;
    private ?string $fallbackUrl;

    public function __construct(string $url, string $fallbackUrl = null)
    {
        $this->url = $url;
        $this->fallbackUrl = $fallbackUrl;
    }

    public function url(string $url)
    {
        $this->url = $url;

        return $this;
    }

    public function fallbackUrl(string $fallbackUrl)
    {
        $this->fallbackUrl = $fallbackUrl;

        return $this;
    }

    public function getUrl(): string
    {
        return $this->url;
    }

    public function getFallbackUrl(): ?string
    {
        return $this->fallbackUrl;
    }

    public function toArray(): array
    {
        return [
            'url' => $this->url,
            'fallback_url' => $this->fallbackUrl,
        ];
    }
}
